---
name: Clay Houston
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/account-executive/">Account
  Executive (Mid-Market, First Order), US West</a>
reports_to: mdines
picture: clayhouston.jpeg
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: chouston
departments:
- Commercial Sales
specialty: First Order
expertise:
story: Joined August 9th

